Bug 50565 - Need to add parameter to SourcePathProvider.getURL (String relativePath, boolean global) method!
Need to add parameter to SourcePathProvider.getURL (String relativePath, bool...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
4.x
PC All
: P2 (vote)
: 4.x
Assigned To: apireviews
issues@debugger
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-18 15:43 UTC by Jan Jancura
Modified: 2006-08-01 14:04 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Diff (23.66 KB, text/plain)
2004-10-18 15:47 UTC, Jan Jancura
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Jancura 2004-10-18 15:43:24 UTC
method to be changed:
org.netbeans.spi.debugger.jpda.SourcePathProvider.getURL
(String relativePath, boolean global)

bug to be fixed: 50467 - Double clicking on one
item in stacktrack trace does not lead me anywhere
This method is used to find source file during
debugging. I need to add this param there to
distinguish between finding sources for smart
stepping feature, and for all other features like
douuble click on stack trace. For double click on
stack trace we would like to search all possible
locations for sources (GlobalPathRegistry). But
for smart stepping we would like to use sourcepath
defined by project.
Comment 1 Jan Jancura 2004-10-18 15:47:31 UTC
Created attachment 18363 [details]
Diff
Comment 2 Jan Jancura 2004-10-29 14:30:46 UTC
I have not found a way how to write regular Unit test for this stuff. 
EditorContext & SourcePathProvider implements bridge to Java module,
src hierarchy, and projects modules. I have not find a way how to
setup environment for all these modules, how to open project there and
setup source hierarchy. Thats why I have created separate issue to
track this problem, and I will work with this teams to fix it - 50969.

Comment 3 Jiri Kovalsky 2006-08-01 14:04:42 UTC
Closing this issue then.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo